package config

import "time"

var defaultHTTPConfig = &HTTPConfig{
	Listen:       "127.0.0.1:8080",
	LogRequests:  false,
	ReadTimeout:  "10s",
	WriteTimeout: "10s",
	IdleTimeout:  "1m",
}

// HTTP Configuration
type HTTPConfig struct {
	Listen       string `yaml:"listen,omitempty" env:"APP_HTTP_LISTEN"`
	LogRequests  bool   `yaml:"logRequests" env:"APP_HTTP_LOG_REQUESTS"`
	ReadTimeout  string `yaml:"readTimeout" env:"APP_HTTP_READ_TIMEOUT"`   // Go duration (e.g. 10s)
	WriteTimeout string `yaml:"writeTimeout" env:"APP_HTTP_WRITE_TIMEOUT"` // Go duration (e.g. 10s)
	IdleTimeout  string `yaml:"idleTimeout" env:"APP_HTTP_IDLE_TIMEOUT"`   // Go duration (e.g. 10s)
	rT           *time.Duration
	wT           *time.Duration
	iT           *time.Duration
}
